Subject: RE: bug#37772: 26.3; Doc of recentf, particularly `recentf-list'

From: Drew Adams <[email-masked]>
Date: Thu, 17 Oct 2019 15:41:09 +0000 (UTC)

> > Many users use recentf.  Likewise, libraries.  Nowhere is it said
> > what order the files are listed in, i.e., the order of the elements of
> > `recentf-list'.  The answer is apparently that, by default at least,
> > a file is pushed to the front of the list when it is "opened" or
> > written.
> >
> > A more exact answer is that `recentf-list' is in reverse
> > chronological order of calls to `recentf-track-opened-file'.
> > And by default that function is added to these hooks:
> > `find-file-hook' and `write-file-functions'.
> 
> I think that seems pretty self-evident -- the doc strings talk about
> "most recent" etc, so what other ordering could be meant?

It's not obvious at all.  That the 30 most recently
opened files are listed says _nothing_ about the
order in which they're listed.

And nothing is said about the situations when (by
default) the list (`recentf-list') is updated.
The answer is in the hooks.  It's not about
re-selecting the window of a file buffer or
changing a file outside Emacs, for instance.
(Not by default, at least.)

> So I don't see anything to fix here and I'm closing this bug report.

Unfortunate.